import { ReactNode } from 'react';
import { BitzTableActionProps, withBitzTableActionProps } from '..';
export declare function BitzTableAction<T>({ loading, actionGroup, refInstance, }: BitzTableActionProps<T>): import("react/jsx-runtime").JSX.Element;
/** 表格操作列 */
declare function BitzTableActionCol<T = any>(props: withBitzTableActionProps<T>): {
    fixed?: "left" | "right" | undefined;
    className?: string | undefined;
    order?: number | undefined;
    hidden?: boolean | undefined;
    ellipsis?: import("rc-table/lib/interface").CellEllipsisType | undefined;
    show?: boolean | undefined;
    title?: import("antd/es/table/interface").ColumnTitle<T>;
    key?: import("react").Key | undefined;
    align?: import("rc-table/lib/interface").AlignType | undefined;
    colSpan?: number | undefined;
    rowSpan?: number | undefined;
    responsive?: import("antd").Breakpoint[] | undefined;
    dataIndex?: import("rc-table/lib/interface").DataIndex | undefined;
    shouldCellUpdate?: ((record: T, prevRecord: T) => boolean) | undefined;
    onCell?: import("rc-table/lib/interface").GetComponentProps<T> | undefined;
    onCellClick?: ((record: T, e: import("react").MouseEvent<HTMLElement, MouseEvent>) => void) | undefined;
    onHeaderCell?: import("rc-table/lib/interface").GetComponentProps<import("rc-table").ColumnType<T> | import("rc-table/lib/interface").ColumnGroupType<T>> | undefined;
    rowScope?: import("rc-table/lib/interface").RowScopeType | undefined;
    disable?: boolean | {
        checkbox: boolean;
    } | undefined;
    sortDirections?: import("antd/es/table/interface").SortOrder[] | undefined;
    showSorterTooltip?: boolean | import("antd").TooltipProps | undefined;
    sorter?: boolean | import("antd/es/table/interface").CompareFn<T> | {
        compare?: import("antd/es/table/interface").CompareFn<T> | undefined;
        multiple?: number | undefined;
    } | undefined;
    sortOrder?: import("antd/es/table/interface").SortOrder | undefined;
    defaultSortOrder?: import("antd/es/table/interface").SortOrder | undefined;
    sortIcon?: ((props: {
        sortOrder: import("antd/es/table/interface").SortOrder;
    }) => ReactNode) | undefined;
    filtered?: boolean | undefined;
    filters?: import("antd/es/table/interface").ColumnFilterItem[] | undefined;
    filterDropdown?: ReactNode | ((props: import("antd/es/table/interface").FilterDropdownProps) => ReactNode);
    filterOnClose?: boolean | undefined;
    filterMultiple?: boolean | undefined;
    filteredValue?: import("antd/es/table/interface").FilterValue | null | undefined;
    defaultFilteredValue?: import("antd/es/table/interface").FilterValue | null | undefined;
    filterIcon?: ReactNode | ((filtered: boolean) => ReactNode);
    filterMode?: "menu" | "tree" | undefined;
    filterSearch?: import("antd/es/table/interface").FilterSearchType<import("antd/es/table/interface").ColumnFilterItem> | undefined;
    onFilter?: ((value: boolean | import("react").Key, record: T) => boolean) | undefined;
    filterDropdownOpen?: boolean | undefined;
    onFilterDropdownOpenChange?: ((visible: boolean) => void) | undefined;
    filterResetToDefaultFilteredValue?: boolean | undefined;
    filterDropdownVisible?: boolean | undefined;
    onFilterDropdownVisibleChange?: ((visible: boolean) => void) | undefined;
    mobileHide: boolean;
    isOperationCol: boolean;
    width: number;
    render: (_: any, record: any, index: any) => import("react/jsx-runtime").JSX.Element;
};
export default BitzTableActionCol;
